package de.avatic.taricdb.model;

import java.time.LocalDate;

import org.springframework.data.annotation.Id;
import org.springframework.data.jdbc.core.mapping.AggregateReference;
import org.springframework.data.relational.core.mapping.Column;


public class GeoGroupMembership {

	@Id
    private Integer id;

    private LocalDate startDate;

    private LocalDate endDate;

    @Column("geo_id")
    private AggregateReference<Geo, Integer> geo;

    public GeoGroupMembership(LocalDate startDate, LocalDate endDate,
			AggregateReference<Geo, Integer> geo) {
		this.startDate = startDate;
		this.endDate = endDate;
		this.geo = geo;
	}

	public Integer getId() {
        return id;
    }
	
    public void setId(final Integer id) {
        this.id = id;
    }

    public LocalDate getStartDate() {
        return startDate;
    }

    public void setStartDate(final LocalDate startDate) {
        this.startDate = startDate;
    }

    public LocalDate getEndDate() {
        return endDate;
    }

    public void setEndDate(final LocalDate endDate) {
        this.endDate = endDate;
    }

    public AggregateReference<Geo, Integer> getGeo() {
        return geo;
    }

    public void setGeo(final AggregateReference<Geo, Integer> geo) {
        this.geo = geo;
    }
    

}
